#!/bin/bash
# NCSA Abe

#PBS -l walltime=08:00:00
#PBS -l nodes=4:ppn=8
#PBS -V
#PBS -N MPPTEST-job

# $HOME/.soft contains:
#
#  +mvapich2-0.9.8p2patched-intel-ofed-1.2
#  @teragrid-basic
#  @globus-4.0
#  @teragrid-dev
#
#

cd $HOME/perftest
NASDIR="$HOME/perftest

mvapich2-start-mpd
export NP=`wc -l ${PBS_NODEFILE} | cut -d'/' -f1`

export MV2_SRQ_SIZE=4000

./runmpptest -np 32 -bisect -short -blocking -gnuplot -fname bisectshort.mpl
./runmpptest -np 32 -bisect -long -blocking -gnuplot -fname bisectlong.mpl

mpdallexit

